function Create(self)
    --Keep track of how long it should be before healing people.
    fieldHealTimer = Timer();
    --Interval between healings, in milliseconds.
    healInterval = 500;
    --Heal counter.
    self.healnum = 0;
end

function Update(self)
	if not(self:IsDead()) and self.Health > 0 then
		if not self:HasObject("Claws") then
			Melee = CreateHDFirearm("Claws")
			self:AddInventoryItem(Melee)
		end
	end
			if self:IsPlayerControlled() == false and self.AIMode == 1 then
					self:GetController():SetState(Controller.BODY_CROUCH, false);
					self:GetController():SetState(Controller.MOVE_RIGHT, false);
					self:GetController():SetState(Controller.MOVE_LEFT, false);
			end
    local avgx = nil;
    local avgy = nil;
    local dist = nil;
    local part = nil;
    --Heal every interval.
    if fieldHealTimer:IsPastSimMS(healInterval) then
	--Cycle through all actors.
	for actor in MovableMan.Actors do
	    --If the actor is on the right team, has less than 100 health and is not the healer, continue with code.
	    if actor.Team == self.Team and actor.Health < 100 then
		--Trigonometry to find how far the actor is.
		avgx = actor.Pos.X - self.Pos.X;
		avgy = actor.Pos.Y - self.Pos.Y;
		dist = math.sqrt(avgx ^ 2 + avgy ^ 2);
		if dist < 100 then
		    --If the actor is fairly close, heal them!
		    actor.Health = actor.Health + 1;
		    --Every 8 health healed, put a little icon above the actor's head to show that it is indeed healing.
		    if self.healnum == 8 then
		    	--Create the particle.
		    	part = CreateMOSParticle("Particle Heal Effect");
		    	--Set the particle's position to just over the actor's head.
		    	part.Pos = actor.AboveHUDPos + Vector(0,4);
			--Add the particle to the world.
		    	MovableMan:AddParticle(part);
		    end
		end
	    end
	end
	--Reset the healing timer.
	fieldHealTimer:Reset();
	--Increment the heal counter.
	self.healnum = self.healnum + 1;
	--Reset it if it's gone too far.
	if self.healnum > 8 then
	    self.healnum = 0;
	end
    end
end
